
; Game World Data Setting - name, difficulty, gameMode
; name : world name
; difficulty ： 0- Easy, 1- Normal(default), 2- Hard, 3- VeryHard
; gameMode ： 1- NormalWorld(default), 2- CreativeWorld_Build, 3- CreativeWorld_Play

; Server Setting - port : used when not using steam lobby function
; maxPlayerNumber : maximum number of player can join into the server(1 ~ 127)
; usePassword : using server password(1- True / 0- False)
; serverPassword : setting server password up to 8 digit number pin

; Graphics Setting - vSyncCount, maxFPS, grassBend, clothSimOption
; vSyncCount : vertical sync, 0- disable, 1- once per frame  2- per two frame
; maxFPS : max frames per second, set to -1 for unlimited fps
; grassBend : enable Grass Bend(1- True / 0- False)
; ClothSimOption : cloth simulation, 1- animate everybody's, 2- animate nobody's

; Save Setting - autoSaveSec, autoSavePerHour
; autoSaveSec : autoSavePer ** second, to disable, set to -1
; autoSavePerHour : enable autoSavePerHour(1- True / 0- False)
; savePath : relative path base on ServerSetting.ini folder or absolute path

; Creative Mode Setting -
; quickCraft : crafting without checking item cost(1- True / 0- False)
; ageLevel : age Level of the game world, effect crafting recipe
; islandLevel : island level override, effect monster and dungeon level, set to -1 to disable override
; noDeath : player character would not dead(1- True / 0- False)
; noDamage : player character would not take damage(1- True / 0- False)
; noHunger : player character would not be hungry(1- True / 0- False)
; infinitStamina : player character has infinit stamina(1- True / 0- False)
; forceDayTime : game world day time override, 0 to 24, set to -1 to disable
; buildingIgnoreDamage : building would not take damage(1- True / 0- False)
; noBuild : player can not place new building(1- True / 0- False)

; Creative Mode Player Status Override - apply at gameStart
; Level : override character level, set to 0 to disable
; Health : override character health, set to 0 to disable
; Mana : override character mana, set to 0 to disable
; Stamina : override character stamia, set to 0 to disable
; Money : override character money
; SkillPoint : override character skill point
; EnchantPoint : override character enchant point

[GameWorld]
name=NoName
difficulty=1
gameMode=1

[Host]
port=6587
maxPlayerNumber=7
usePassword=0
serverPassword=00000000
bindAddress=0.0.0.0

[Graphics]
vSyncCount=0
maxFPS=60
grassBend=0
clothSimOption=2

[Save]
autoSaveSec=300
autoSavePerHour=1
savePath=DedicatedServerSave/

[CreativeModeSetting]
quickCraft=1
ageLevel=7
islandLevel=-1
noDeath=1
noDamage=1
noHunger=1
infinitStamina=1
forceDayTime=-1
buildingIgnoreDamage=0
noBuild=0

[CreativeModePlStatus]
Level=0
Health=0
Mana=0
Stamina=0
Money=1000
SkillPoint=0
EnchantPoint=0